# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	Aggregate list of prefixes
Name:		aggregate
Version:	1.6
Release:	alt1_11
License:	BSD-like
Group:		Networking/Other
Source0:	ftp://ftp.isc.org/isc/aggregate/%{name}-%{version}.tar.gz
Patch0:         aggregate-fedora.patch
Url:		http://freshmeat.net/projects/aggregate
Source44: import.info

%description
Aggregate takes a list of prefixes in conventional format on stdin,
and performs two optimizations to reduce the length of the prefix
list. It removes any supplied prefixes which are superfluous because
they are already included in another supplied prefix (e.g.,
203.97.2.0/24 would be removed if 203.97.0.0/17 was also supplied),
and identifies adjacent prefixes that can be combined under a single,
shorter-length prefix (e.g., 203.97.2.0/24 and 203.97.3.0/24 can be
combined into the single prefix 203.97.2.0/23).

%prep
%setup -q
%patch0 -p1


#fix rights
chmod 644 LICE*

%build
%configure
%make_build

%install
install -d %{buildroot}{%{_bindir},%{_mandir}/man1}

install -Dpm755 aggregate aggregate-ios %{buildroot}%{_bindir}
install -Dpm644 aggregate.1 aggregate-ios.1 %{buildroot}%{_mandir}/man1

%files
%doc LICEN* HISTORY
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Mon Oct 02 2023 Igor Vlasenko <viy@altlinux.org> 1.6-alt1_11
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_10
- update by mgaimport

* Sun Sep 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_9
- new version

